<template>
<div class="loadUnPage">
    <view class="history-numbers">
					<!-- <combined-title title="历史收发单"></combined-title> -->
					<scroll-view :scroll-top="scrollTop"
						scroll-y="true"
						class="scroll-Y">
						<u-empty mode="data"
							icon="http://cdn.uviewui.com/uview/empty/data.png"
							textSize="30"
							iconSize="1000"
							text="暂无数据"
							v-if="orderPlanList.length == 0"></u-empty>
						<view class="collection-form">
					<view class="collection-form-item"
						v-for="(item, index) in orderPlanList"
						:key="index"
						@click="faYundetail(item)">
						<view class="first-line">
							<view class="dispatch-receive">
								<view class="dispatch-dept">{{ item.customerName }}</view>
								<view class="black-bar"></view>
								<view class="dispatch">{{ item.filedName }}</view>
							</view>
						</view>
						<view class="second-line"
							style="width: 94%;white-space: nowrap;overflow: hidden;text-overflow: ellipsis;">
						 <view>	{{item.customerName}} </view>
						  <view class="order-type">{{item.bunkerName}}</view>
 						</view>
						
						<view class="second-line">
							<view class="coal-name">
								<view class="">{{ item.productNames || item.productName }}</view>
								<view class="black-bar"></view>
								<view class="coal-type"
									v-if="item.orderType">{{ item.orderType }}</view>
							</view>
						</view>
						<view class="second-line">
							{{item.orderCode}}
						</view>
						<view class="five-line">
							<view>{{ item.code }}</view>
						</view>
						<view class="third-line">
							<view class="time-icon">
								<view
									style="width: 24rpx;height: 24rpx;li ne-height: 24rpx;background: url('https://mx.jzeg.cn:9096/appimg/image/banner/clock.png') no-repeat;background-size: cover">
								</view>
							</view>
							<view class="send-date">{{ item.sendDate }}</view>
						</view>
						
					</view>
				</view>
						<view class="more_text"
							v-if="showMoreData && historyCoalData.length !== 0">没有数据了...</view>
						<view class="white-block"></view>
					</scroll-view>
				</view>
    <tab-bar :current="1"></tab-bar>
    </div>  
</template>

<script>
export default {
    data() {
        return {
            orderPlanList:[],
            scrollTop:0,
          	historyCoalData: [],
				// 表格加载状态
				loading: false,
				scrollTop: 0,
				// 每页数据量
				pageSize: 10,
				// 当前页
				pageCurrent: 1,
				// 数据总量
				total: 0,
				// 是否显示更多数据
				showMoreData: false,
        }
    },
    onLoad(){
    //   this.init();
    },
	onShow(){
   this.init();
	},
    methods: {
        //初始化
        init(){
            this.$reqGet('getMyPlanListByBunkerId',{bunkerId:this.bunkerId}).then((res) => {
                console.log(res,'res')
                this.orderPlanList = res.data;
            })
        },
          faYundetail(v) {
				uni.navigateTo({
					url: `/subPages/fayunPlanDetails/fayunPlanDetails?orderPlanId=${v.id}&cars2=${v.cars2}&coalName=${v.coalName}&deptName=${v.deptName}&productNames=${v.productNames}&roleType=${5}&customerName=${v.customerName}`
				});
			},
    },
    computed:{
        bunkerId(){
            return uni.getStorageSync('bunkerId')
        },
            // historyScrolltolower() {
			// 	if (this.pageCurrent * this.pageSize >= this.total) return (this.showMoreData = true);
			// 	this.pageCurrent++;
			// 	this.getJhOrderPlanDataPage();
			// },
    }

}
</script>

<style lang="scss" scoped>
 	 .five-line{
    height: 50rpx;
    line-height: 24rpx;
    font-size: 28rpx;
    font-weight: 300;
	 margin-left: 32rpx;
	font-size: 25rpx;
  	}
	@mixin flex {
		display: flex;
		justify-content: space-between;
		align-items: center;
	}
	.scroll-Y{
		height: 100%;
	}
	.collection-form {
				width: 90%;
				margin: 0 vww(15);
				margin-top: 35rpx;
				position: relative;
				box-shadow: 0rpx 0rpx 14rpx 0rpx rgba(73, 120, 240, 0.14), 0rpx 7rpx 45rpx 0rpx rgba(73, 120, 240, 0.12);
				.collection-form-item {
					height: 370rpx;
					background: #ffffff;
					box-shadow: 4rpx 6rpx 25rpx 0rpx rgba(73, 120, 240, 0.15);
					border-radius: 20rpx;
					overflow: hidden;
					@include flex;
					flex-direction: column;
					position: relative;
					align-items: flex-start;
					margin-top: vww(10);

					.first-line {
						width: 130%;
						height: vww(30);
						margin: vww(10) vww(16) 0 vww(16);
						display: flex;
						font-size: 30rpx;
						justify-content: space-between;

						.dispatch-receive {
							display: flex;
							justify-content: flex-start;
							align-items: center;

							.dispatch-dept {

								display: flex;
								align-items: center;
							}

							.black-bar {
								width: 2rpx;
								height: 30rpx;
								background: #515151;
								margin-left: vww(12);
							}

							.dispatch {
								margin-left: vww(12);
								min-width: vww(50);
							}

						}

						.point-number {
							width: 15%;

							text {
								font-size: 24rpx;
								font-weight: 400;
								color: #c78a64;
							}

							.residue {
								font-size: 40rpx;
								font-weight: 400;
								color: #f81414;
							}
						}
					}

					.second-line {
						width: 100%;
						height: vww(30);
						margin-left: vww(16);
						display: flex;
						align-items: center;
						font-size: 25rpx;
						justify-content: flex-start;
						.order-type {
					color: #035cfb;
					border: 2px solid #035cfb;
					border-radius: 4rpx;
					padding: vww(2) vww(10);
					text-align: center;
					margin-left: 40rpx;

				}

						.coal-name {
							flex-grow: 1;
							height: 30rpx;
							font-size: 25rpx;
							font-weight: 300;
							color: #515151;
							position: relative;
							display: flex;
							align-items: center;

							.black-bar {
								width: 2rpx;
								height: 30rpx;
								background: #515151;
								margin-left: vww(12);
							}

							.coal-type {
								margin-left: vww(12);
								min-width: vww(50);
								height: 30rpx;
								line-height: 30rpx;
								font-size: 25rpx;
								font-weight: 300;
								color: #515151;
							}
						}
					}

					.third-line {
						width: 40%;
						height: vww(30);
						margin-left: vww(15);
						display: flex;
						justify-content: flex-start;
						align-items: center;

						.send-date {
							margin-left: vww(14);
							// width: 148rpx;
							height: 24rpx;
							line-height: 24rpx;
							font-size: 28rpx;
							font-weight: 300;
							color: #515151;
						}
					}

					.fourth-line {
						width: 100%;
						height: vww(30);
						@include flex;
						justify-content: flex-start;
						position: relative;
						bottom: vww(10);
						left: 25%;

						.receive,
						.forward {
							width: vww(123);
							height: vww(48);
							@include flex;
							justify-content: center;
							color: #ffffff;
							font-size: 28rpx;
							position: absolute;

							.button-image {
								width: 100%;
								height: 100%;
								background: url('../../../static/image/banner/button.png') no-repeat;
								background-size: cover;
								font-size: 28rpx;
								font-weight: 300;
								color: #ffffff;
								text-align: center;
								line-height: vww(45);
							}
						}

						.receive {
							left: vww(20);
						}

						.forward {
							width: vww(106);
							left: vww(140);

							.button-image {
								width: 100%;
								height: 100%;
								background: url('../../../static/image/banner/transpartent.png') no-repeat;
								background-size: cover;
								font-size: 28rpx;
								font-weight: 300;
								color: #3b56eb;
								text-align: center;
								line-height: vww(45);
							}
						}
					}
				}
			}
.loadUnPage{
    width: 100%;
	overflow-y: auto;
.history-numbers {
		width: 100%;
		position: relative;
		top: vww(-10);
		height: calc(100vh - 45px);

		.history-information {
			width: 690rpx;
			height: 398rpx;
			margin: vww(10) vww(15);
			background: #ffffff;
			box-shadow: 0rpx 0rpx 14rpx 0rpx rgba(73, 120, 240, 0.14), 0rpx 7rpx 45rpx 0rpx rgba(73, 120, 240, 0.12);
			border-radius: 20rpx;
			@include flex flex-direction: column;
			align-items: flex-start;
			justify-content: space-evenly;
			overflow: hidden;

			.first {
				width: 96%;
				height: 34rpx;
				font-size: 32rpx;
				font-weight: 300;
				color: #303030;
				@include flex;
				margin: vww(10) vww(10) 0;
			}

			.second {
				width: 100%;
				height: 31rpx;
				font-size: 30rpx;
				font-weight: 300;
				color: #515151;
				margin: vww(10) vww(10) 0;
				@include flex;
				justify-content: flex-start;

				.coal-name {
					min-width: vww(30);
					height: vww(20);
					margin-right: vww(21);
				}

				
			}

			.third {
				width: 96%;
				height: 31rpx;
				font-size: 30rpx;
				font-weight: 300;
				color: #515151;
				margin: vww(10) vww(10) 0;
				@include flex;

				.third-line {
					@include flex;

					&_text {
						color: #919090;
					}

					&_num {
						color: #035cfb;
					}
				}
			}

			.fourth {
				width: 100%;
				height: 31rpx;
				font-size: 30rpx;
				font-weight: 300;
				color: #515151;
				margin: vww(10) vww(10) 0;
				@include flex;

				.fourth-icon {
					width: vww(13);
					height: vww(13);
					margin-right: vww(14);
				}

				.senddate {
					flex: 1;
				}
			}
		}
	}
}
</style>